Skip to main content
GET
Get paid subscriptions movement chart data

Path Parameters

projectApiKey
string
required

Project API Key for authentication and project identification. A 32-character alphanumeric string copied from Project Settings -> Project Keys -> API Key in https://dash.qonversion.io/. The key has no fixed prefix.

Minimum string length: 1
Example:

"JFPATc4VaaWYsfurml3qZ4zsmNw0VfWH"

Query Parameters

from
integer<int64>

Start of time range (Unix timestamp, seconds).

to
integer<int64>

End of time range (Unix timestamp, seconds). Must be greater than from.

unit
enum<string>
default:day

Time grouping unit.

Available options:
hour,
day,
week,
month
environment
enum<integer>
default:1

Environment type (0=Sandbox, 1=Production). Sandbox keys are not supported by this API; production keys requesting environment=0 will return no data.

Available options:
0,
1
max_series
integer
default:50

Maximum number of series to return.

Required range: 0 <= x <= 500
filter[target_platform][]
enum<string>[]

Filter by platforms.

Available options:
iOS,
Android,
Stripe
filter[country][]
string[]

Filter by countries (ISO 3166-1 alpha-2).

Pattern: ^[A-Z]{2}$
filter[locale][]
string[]

Filter by locales.

filter[model][]
string[]

Filter by device models.

filter[os_version][]
string[]

Filter by OS versions.

filter[sdk_version][]
string[]

Filter by SDK versions.

filter[q_user_id]
string

Filter by Qonversion user ID.

filter[product_id][]
string[]

Filter by product IDs.

filter[purchase_currency][]
string[]

Filter by purchase currencies (ISO 4217).

Pattern: ^[A-Z]{3}$
filter[app_version][]
string[]

Filter by app versions.

filter[media_source_name][]
string[]

Filter by media source names.

filter[campaign_name][]
string[]

Filter by campaign names.

filter[ad_set_name][]
string[]

Filter by ad set names.

filter[ad_name][]
string[]

Filter by ad names.

Response

Successful response with chart data

data
object
required